#include<stdio.h>
int main()
{
	
	int n,i,j,k;
	scanf("%d",&n);
	long long zarada[n];
	float porez[n];
	float ukupanPorez[n];
	double konacnaSuma[n];
	
	for(i=0;i<n;i++)
	{
		scanf("%lld %f", &zarada[i], &porez[i]);
	}
	
	long long tempSuma[n];
	for(i=0;i<n;i++)
	{			
		tempSuma[i]=0;
		for(j=0;j<n;j++)
		{
			if(porez[i] <= porez[j])
			{
				tempSuma[i]=(tempSuma[i]+zarada[j]);	
			}		
		}
	}
	
	double maxVrednost = 0;
	for(i=0;i<n;i++)
	{
		konacnaSuma[i]=(tempSuma[i] * (porez[i] / 100));
	}
	
	for(i=0;i<n;i++)
	{
		if(konacnaSuma[i] > maxVrednost)
		{
			maxVrednost = konacnaSuma[i];
		}
	}
	printf("%lf",maxVrednost);
}